Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# MultipleBallPerceptList Class Reference

`#include <MultipleBallPerceptList.h>`

Inheritance diagram for MultipleBallPerceptList:

[legend]
Collaboration diagram for MultipleBallPerceptList:

[legend]
List of all members.

## Public Member Functions
| MultipleBallPerceptList ()
MultipleBallPerceptElement & | operator[] (int index)
const MultipleBallPerceptElement & | operator[] (int index) const
void | add (const MultipleBallPerceptElement &elem)
void | calculatePanningVelocityValue (double panningVelocity)
## Public Attributes
int | numberOfElements
double | panningVelocityError
## Private Member Functions
void | serialize (In *in, Out *out)
## Private Attributes
MultipleBallPerceptElement | multiplePercepts [5]

## Detailed Description

Author:
  Thorsten Kerkhof

Definition at line 17 of file MultipleBallPerceptList.h.

## Constructor & Destructor Documentation

MultipleBallPerceptList::MultipleBallPerceptList | ( |  | ) |

| Author: Thorsten Kerkhof Definition at line 7 of file MultipleBallPerceptList.cpp.

## Member Function Documentation

void MultipleBallPerceptList::serialize | ( | In * | in,
|  | Out * | out
| ) | `[inline, private, virtual]`

| Implements Streamable. Definition at line 19 of file MultipleBallPerceptList.h. References numberOfElements, panningVelocityError, STREAM, STREAM_DYN_ARRAY, STREAM_REGISTER_BEGIN, and STREAM_REGISTER_FINISH.

MultipleBallPerceptElement& MultipleBallPerceptList::operator[] | ( | int | index | ) | `[inline]`

| Definition at line 30 of file MultipleBallPerceptList.h.

const MultipleBallPerceptElement& MultipleBallPerceptList::operator[] | ( | int | index | ) | const`[inline]`

| Definition at line 31 of file MultipleBallPerceptList.h.

void MultipleBallPerceptList::add | ( | const MultipleBallPerceptElement & | elem | ) |

| Definition at line 13 of file MultipleBallPerceptList.cpp. References numberOfElements, and MultipleBallPerceptElement::reliability. Referenced by VLCBallSpecialist::forwardPercept(), and GT2005BallSpecialist::forwardPercept().

void MultipleBallPerceptList::calculatePanningVelocityValue | ( | double | panningVelocity | ) |

| Definition at line 19 of file MultipleBallPerceptList.cpp. References panningVelocityError.

## Member Data Documentation

int MultipleBallPerceptList::numberOfElements

| Definition at line 37 of file MultipleBallPerceptList.h. Referenced by add(), GT2005BallLocator::draw(), GT2005BallLocator::execute(), VLCBallSpecialist::resetMultiplePerceptsList(), GT2005BallSpecialist::resetMultiplePerceptsList(), and serialize().

double MultipleBallPerceptList::panningVelocityError

| Definition at line 41 of file MultipleBallPerceptList.h. Referenced by calculatePanningVelocityValue(), GT2005BallLocator::execute(), and serialize().

MultipleBallPerceptElement MultipleBallPerceptList::multiplePercepts[5]`[private]`

| Definition at line 44 of file MultipleBallPerceptList.h.

The documentation for this class was generated from the following files:

- Representations/Perception/MultipleBallPerceptList.h
- Representations/Perception/MultipleBallPerceptList.cpp